Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools.dbloader
Class Configuration

    java.lang.Object
      org.jasig.portal.tools.dbloader.Configuration

    public class Configuration

extends java.lang.Object

Holds all configuration values used in DbLoader as part of loading a database.

Version:
  $Revision: 1.4.4.1 $
Author:
  Ken Weiner, kweiner@unicon.net, Mark Boyd

Field Summary
`private java.lang.String` | `adminLocale`
`private java.sql.Connection` | `con`
`private boolean` | `createScript`
`private boolean` | `createTables`
`private java.lang.String` | `dataUri`
`private java.net.URL` | `dataURL`
`private java.lang.String` | `dataXslUri`
`private java.util.ArrayList` | `dbTypeMappings`
`private boolean` | `dropTables`
`private org.w3c.dom.Document` | `genericTablesDoc`
`private java.util.Map` | `localDbMetaTypeMap`
`private boolean` | `localeAware`
`private java.io.PrintWriter` | `log`
`private boolean` | `populateTables`
`private java.net.URL` | `propertiesURL`
`private java.lang.String` | `scriptFileName`
`private java.io.PrintWriter` | `scriptWriter`
`private java.lang.String` | `statementTerminator`
`private java.util.Map` | `tableColumnTypes`
`private org.w3c.dom.Document` | `tablesDoc`
`private java.lang.String` | `tablesUri`
`private java.net.URL` | `tablesURL`
`private java.lang.String` | `tablesXslUri`
`private int` | `upgradeMajor`
`private int` | `upgradeMinor`
`private java.lang.String` | `upgradeVersion`

Constructor Summary
`Configuration()`

Method Summary
`void` | `addDbTypeMapping(DbTypeMapping dbTypeMapping)`
`java.sql.Connection` | `getConnection()`
`boolean` | `getCreateScript()`
`boolean` | `getCreateTables()`
`java.lang.String` | `getDataUri()`
`java.net.URL` | `getDataURL()`
`java.lang.String` | `getDataXslUri()`
`java.util.ArrayList` | `getDbTypeMappings()`
`boolean` | `getDropTables()`
`org.w3c.dom.Document` | `getGenericTablesDoc()`
`java.util.Map` | `getLocalTypeMap()`
`java.io.PrintWriter` | `getLog()`
`java.lang.String` | `getMappedDataTypeName(java.lang.String dbName, java.lang.String dbVersion, java.lang.String driverName, java.lang.String driverVersion, java.lang.String genericDataTypeName)`
`boolean` | `getPopulateTables()`
`java.net.URL` | `getPropertiesURL()`
`java.lang.String` | `getScriptFileName()`
`java.io.PrintWriter` | `getScriptWriter()`
`java.lang.String` | `getStatementTerminator()`
`java.util.Map` | `getTableColumnTypes()`
`org.w3c.dom.Document` | `getTablesDoc()`
`java.lang.String` | `getTablesUri()`
`java.net.URL` | `getTablesURL()`
`java.lang.String` | `getTablesXslUri()`
`int` | `getUpgradeMajor()`
`int` | `getUpgradeMinor()`
`java.lang.String` | `getUpgradeVersion()`
`void` | `setAdminLocale(java.lang.String adminLocale)`
`void` | `setConnection(java.sql.Connection c)`
`void` | `setCreateScript(boolean createScript)`
`void` | `setCreateScript(java.lang.String createScript)`
`void` | `setCreateTables(boolean createTables)`
`void` | `setCreateTables(java.lang.String createTables)`
`void` | `setDataUri(java.lang.String dataUri)`
`void` | `setDataURL(java.net.URL dataURL)`
`void` | `setDataXslUri(java.lang.String dataXslUri)`
`void` | `setDropTables(boolean dropTables)`
`void` | `setDropTables(java.lang.String dropTables)`
`void` | `setGenericTablesDoc(org.w3c.dom.Document d)`
`void` | `setLocaleAware(boolean localeAware)`
`void` | `setLocalTypeMap(java.util.Map m)`
`void` | `setLog(java.io.PrintWriter w)`
`void` | `setPopulateTables(boolean populateTables)`
`void` | `setPopulateTables(java.lang.String populateTables)`
`void` | `setPropertiesURL(java.net.URL u)`
`void` | `setScriptFileName(java.lang.String scriptFileName)`
`void` | `setScriptWriter(java.io.PrintWriter w)`
`void` | `setStatementTerminator(java.lang.String statementTerminator)`
`void` | `setTablesDoc(org.w3c.dom.Document d)`
`void` | `setTablesUri(java.lang.String tablesUri)`
`void` | `setTablesURL(java.net.URL tablesURL)`
`void` | `setTablesXslUri(java.lang.String tablesXslUri)`
`void` | `setUpgradeMajor(int m)`
`void` | `setUpgradeMinor(int m)`
`void` | `setUpgradeVersion(java.lang.String v)`
`(package private) static boolean` | `toBoolean(java.lang.String booleanString)` Utility method for converting boolean strings to boolean values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### con

    private java.sql.Connection con

### scriptWriter

    private java.io.PrintWriter scriptWriter

### log

    private java.io.PrintWriter log

### genericTablesDoc

    private org.w3c.dom.Document genericTablesDoc

### tablesDoc

    private org.w3c.dom.Document tablesDoc

### propertiesURL

    private java.net.URL propertiesURL

### tablesURL

    private java.net.URL tablesURL

### dataURL

    private java.net.URL dataURL

### dropTables

    private boolean dropTables

### createTables

    private boolean createTables

### populateTables

    private boolean populateTables

### createScript

    private boolean createScript

### upgradeVersion

    private java.lang.String upgradeVersion

### upgradeMajor

    private int upgradeMajor

### upgradeMinor

    private int upgradeMinor

### adminLocale

    private java.lang.String adminLocale

### localeAware

    private boolean localeAware

### tablesUri

    private java.lang.String tablesUri

### tablesXslUri

    private java.lang.String tablesXslUri

### dataUri

    private java.lang.String dataUri

### dataXslUri

    private java.lang.String dataXslUri

### scriptFileName

    private java.lang.String scriptFileName

### statementTerminator

    private java.lang.String statementTerminator

### dbTypeMappings

    private java.util.ArrayList dbTypeMappings

### localDbMetaTypeMap

    private java.util.Map localDbMetaTypeMap

### tableColumnTypes

    private java.util.Map tableColumnTypes

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### setLocaleAware

    public void setLocaleAware(boolean localeAware)

### setAdminLocale

    public void setAdminLocale(java.lang.String adminLocale)

### setUpgradeVersion

    public void setUpgradeVersion(java.lang.String v)

### getUpgradeVersion

    public java.lang.String getUpgradeVersion()

### setUpgradeMajor

    public void setUpgradeMajor(int m)

### getUpgradeMajor

    public int getUpgradeMajor()

### setUpgradeMinor

    public void setUpgradeMinor(int m)

### getUpgradeMinor

    public int getUpgradeMinor()

### getPropertiesURL

    public java.net.URL getPropertiesURL()

### getTablesURL

    public java.net.URL getTablesURL()

### getDataURL

    public java.net.URL getDataURL()

### setTablesURL

    public void setTablesURL(java.net.URL tablesURL)

### setDataURL

    public void setDataURL(java.net.URL dataURL)

### setPropertiesURL

    public void setPropertiesURL(java.net.URL u)

### getGenericTablesDoc

    public org.w3c.dom.Document getGenericTablesDoc()

### setGenericTablesDoc

    public void setGenericTablesDoc(org.w3c.dom.Document d)

### getTablesDoc

    public org.w3c.dom.Document getTablesDoc()

### setTablesDoc

    public void setTablesDoc(org.w3c.dom.Document d)

### getConnection

    public java.sql.Connection getConnection()

### getScriptWriter

    public java.io.PrintWriter getScriptWriter()

### getLog

    public java.io.PrintWriter getLog()

### setScriptWriter

    public void setScriptWriter(java.io.PrintWriter w)

### setConnection

    public void setConnection(java.sql.Connection c)

### setLog

    public void setLog(java.io.PrintWriter w)

### getDropTables

    public boolean getDropTables()

### getCreateTables

    public boolean getCreateTables()

### getCreateScript

    public boolean getCreateScript()

### getPopulateTables

    public boolean getPopulateTables()

### getTablesUri

    public java.lang.String getTablesUri()

### getTablesXslUri

    public java.lang.String getTablesXslUri()

### getDataUri

    public java.lang.String getDataUri()

### getDataXslUri

    public java.lang.String getDataXslUri()

### getScriptFileName

    public java.lang.String getScriptFileName()

### getStatementTerminator

    public java.lang.String getStatementTerminator()

### getDbTypeMappings

    public java.util.ArrayList getDbTypeMappings()

### setDropTables

    public void setDropTables(java.lang.String dropTables)

### setDropTables

    public void setDropTables(boolean dropTables)

### setCreateTables

    public void setCreateTables(java.lang.String createTables)

### setCreateTables

    public void setCreateTables(boolean createTables)

### setPopulateTables

    public void setPopulateTables(java.lang.String populateTables)

### setPopulateTables

    public void setPopulateTables(boolean populateTables)

### setTablesUri

    public void setTablesUri(java.lang.String tablesUri)

### setTablesXslUri

    public void setTablesXslUri(java.lang.String tablesXslUri)

### setDataUri

    public void setDataUri(java.lang.String dataUri)

### setDataXslUri

    public void setDataXslUri(java.lang.String dataXslUri)

### setCreateScript

    public void setCreateScript(java.lang.String createScript)

### setCreateScript

    public void setCreateScript(boolean createScript)

### setScriptFileName

    public void setScriptFileName(java.lang.String scriptFileName)

### setStatementTerminator

    public void setStatementTerminator(java.lang.String statementTerminator)

### addDbTypeMapping

    public void addDbTypeMapping(DbTypeMapping dbTypeMapping)

### setLocalTypeMap

    public void setLocalTypeMap(java.util.Map m)

### getLocalTypeMap

    public java.util.Map getLocalTypeMap()

### getTableColumnTypes

    public java.util.Map getTableColumnTypes()

### toBoolean

    static boolean toBoolean(java.lang.String booleanString)

  Utility method for converting boolean strings to boolean values.

  Parameters:
    `booleanString` -
  Returns:
    boolean

### getMappedDataTypeName

    public java.lang.String getMappedDataTypeName(java.lang.String dbName,
                                                  java.lang.String dbVersion,
                                                  java.lang.String driverName,
                                                  java.lang.String driverVersion,
                                                  java.lang.String genericDataTypeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD